package com.yushu.system.service;

import java.util.List;
import com.yushu.system.domain.AiModel;

/**
 * AI模型Service接口
 * 
 * @author yushu
 * @date 2024-11-06
 */
public interface IAiModelService {
    public AiModel selectAiModelByModelId(Long modelId);
    public List<AiModel> selectAiModelList(AiModel aiModel);
    public int insertAiModel(AiModel aiModel);
    public int updateAiModel(AiModel aiModel);
    public int deleteAiModelByModelIds(Long[] modelIds);
    public int deleteAiModelByModelId(Long modelId);
}

